;;;;
;;;; AspectL - Copyright (c) 2003, 2004 Pascal Costanza.
;;;; License: See http://creativecommons.org/licenses/by/2.0/
;;;;

;;; System definitions for CMUCL, OpenMCL, SBCL, etc.

(in-package #:cl-user)

(asdf:defsystem #:aspectl
  :name "AspectL"
  :author "Pascal Costanza"
  :version "0.6.2"
  :licence "http://creativecommons.org/licenses/by/2.0/"
  :properties (((#:system #:author #:email) . "")
               ((#:albert #:presentation #:formats) . ("docbook"))
               ((#:albert #:presentation #:output-dir) . "~/lisp/aspectl/albert-doc/")
               ((#:albert #:docbook #:generate) . "book")
               ((#:albert #:docbook #:bgcolor) . "white")
               ((#:albert #:docbook #:textcolor) . "black")
               ((#:albert #:presentation #:gf #:separatepage) . 100)
               ((#:albert #:presentation #:variables #:separatepage) . 100)
               ((#:albert #:presentation #:only-exported) t)
               ((#:albert #:presentation #:calls) . nil)
               ((#:albert #:presentation #:called-by) . nil))
  :components ((:file "al-packages")
	       #-lispworks
	       (:file "lw-compat"
		:depends-on ("al-packages"))
               (:file "al-clos-mop" 
                :depends-on ("al-packages"))
               (:file "al-pointcuts"
                :depends-on ("al-packages" #-lispworks "lw-compat" "al-clos-mop"))
               (:file "al-mixins"
                :depends-on ("al-packages" "al-pointcuts"))
               (:file "al-dynascope"
                :depends-on ("al-packages"))
               (:file "al-special-class"
                :depends-on ("al-packages" "al-clos-mop" "al-mixins" "al-dynascope"))
	       #-openmcl-partial-mop
               (:file "al-special-function"
                :depends-on ("al-packages" "al-clos-mop" "al-dynascope"))))
